Does this one work? I've tried up to 3.7.0.999 and still have same error, would you please confirm.

Thanks in advance.